<?php

use Illuminate\Database\Migrations\Migration;

class CreateIndustriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: industries
         */
        Schema::create('industries', function ($table) {
            $table->increments('id');
            $table->string('name', 250)->nullable();
            $table->text('image')->nullable();
            $table->string('logo', 250)->nullable();
            $table->text('description')->nullable();
            $table->integer('building')->nullable();
            $table->string('street', 255)->nullable();
            $table->string('town', 255)->nullable();
            $table->string('state', 255)->nullable();
            $table->string('country', 255)->nullable();
            $table->integer('pin')->nullable();
            $table->string('phone', 255)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('website', 100)->nullable();
            $table->string('video', 255)->nullable();
            $table->string('google', 100)->nullable();
            $table->string('facebook', 100)->nullable();
            $table->string('twitter', 100)->nullable();
            $table->string('linkedin', 100)->nullable();
            $table->string('location', 100)->nullable();
            $table->enum('status', ['New','Approved','Rejected])->nullable();
            $table->string('upload_folder', 255)->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('industries');
    }
}
