<?php

namespace Lavalite\Industry\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class Industry extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('industry.industry.fillable');
        $this->uploads = config('industry.industry.uploadable');
        $this->uploadRootFolder = config('industry.industry.upload_root_folder');
        $this->table = config('industry.industry.table');
    }
}
